##### 7.5.16.0. ncHom

Procedure from library `nchomolog.lib` (see nchomolog_lib).

Usage:
  ncHom(M,N); M,N modules

Compute:
  A presentation of Hom(M',N'), M'=coker(M), N'=coker(N)

Assume:
  M' is a left module, N' is a centralizing bimodule

Note:
  ncHom(M,N) is a right module, hence a right presentation matrix is returned

Example:

    LIB "nchomolog.lib";
    ring A=0,(x,y,z),dp;
    matrix M[3][3]=1,2,3,
    4,5,6,
    7,8,9;
    matrix N[2][2]=x,y,
    z,0;
    module H = ncHom(M,N);
    print(H);
    ==> 0,0,0,0,y,x,
    ==> 0,0,0,0,0,z,
    ==> 1,0,0,0,0,0,
    ==> 0,1,0,0,0,0,
    ==> 0,0,1,0,0,0,
    ==> 0,0,0,1,0,0

User manual for Singular version 4.4.1, 2025, generated by texi2html.